For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList disputes
      • GETRetrieve dispute
      • POSTAccept dispute
      • POSTChallenge dispute
      • GETList dispute evidence
      • POSTCreate dispute evidence text
      • POSTCreate dispute evidence file
      • DELDelete dispute evidence
      • GETRetrieve dispute evidence
      • Dispute
      • DisputeEvidence
      • POSTEvent: dispute.created
      • POSTEvent: dispute.status.updated
  • Customer Request API
  • Management API
LogoLogo
Network APIDisputes

List disputes

GET
/disputes
GET
/network/v1/disputes
$curl https://api.cash.app/network/v1/disputes \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "disputes": [
3 {
4 "id": "DSPT_1fbjn9dg7rmz1xeyv6gkyh8vg",
5 "payment_id": "PWC_4nn21zy6t0v2yhqg5bvhk7xkq",
6 "amount": 1500,
7 "reason": "FR10",
8 "settlement_withholding": "NOT_WITHHELD",
9 "state": "RESPONSE_REQUIRED",
10 "created_at": "2022-01-01T12:00:00Z",
11 "updated_at": "2022-01-05T12:00:00Z",
12 "merchant_id": "MMI_4vxs5egfk7hmta3qx2h6rp91x",
13 "customer_credited_amount": 1250,
14 "response_due_at": "2022-05-01T00:00:00Z"
15 }
16 ],
17 "cursor": "string"
18}

Returns a list of all disputes (matching the given query parameters) associated with payments created by this client.

This endpoint is rate limited to 50 QPS.

Scopes: DISPUTES_READ

Was this page helpful?
Previous

Retrieve dispute

Next
Built with

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

cursorstringOptional>=1 character
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
limitintegerOptional1-100Defaults to 50
Maximum number of disputes to return.
merchant_idstringOptional1-128 characters
Filters results to only include disputes filed against a merchant that matches the the given ID.

Response

OK
disputeslist of objects
List of disputes matching the given query parameters.
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error